Delete multiple Service Orders
curl --request DELETE \
--url https://commerce.driv.ly/api/serviceOrders \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/serviceOrders"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/serviceOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": [
"Condition Inspection"
],
"customer": [
123
],
"serviceQuotes": 123,
"paymentLink": "<string>",
"vin": 123,
"status": "Quoted",
"error": "<string>",
"orderId": "<string>",
"price": "<string>",
"rush": true,
"attachments": [
123
],
"quoteExpiration": "<string>",
"ordered": "<string>",
"start": "<string>",
"due": "<string>",
"consignor": 123,
"billTo": 123,
"origin": 123,
"destination": 123,
"deals": [
123
],
"orderLink": "<string>",
"tenant": [
123
]
}
]
}Service Orders
Delete multiple Service Orders
Delete all Service Orders matching the where query
DELETE
/
serviceOrders
Delete multiple Service Orders
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { serviceOrders } from '@drivly/commerce'
const sdk = new SDK(...)
const serviceOrders = await sdk.serviceOrders.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists